#include <bits/stdc++.h>

using namespace std;

int main(void)
{
    ios_base::sync_with_stdio(false);
    int n;
    scanf("%d",&n);
    int t[n-1][2];
    for(int i=0;i<n-1;i++)
        for(int j=0;j<2;j++)
            scanf("%d",&t[i][j]);

    printf("%d",n-(rand() % n + 1));

    return 0;
}